## GdkCutter Pixbuf GdkCutter Pixbuf — Cutter with gdk-pixbuf support. |

## Types and Values

#define | GDKCUTTER_PIXBUF_ENABLED

## Description

GdkCutter Pixbuf adds many useful features based on gdk-pixbuf to Cutter. If you want to write tests for image, it's good idea that you consider GdkCutter Pixbuf to be used too.

It's easy to use GdkCutter Pixbuf. You just include <gdk-cutter-pixbuf.h> instead of <cutter.h> or <gcutter.h> and use gdkcutter-pixbuf.pc instead of cutter.pc or gcutter.pc:

test-xxx.c:

    1
    2
    -#include <cutter.h>
    +#include <gdkcutter-pixbuf.h>

configure.ac:

    1
    2
    -AC_CHECK_CUTTER
    +AC_CHECK_GDKCUTTER_PIXBUF

Makefile.am:

    1
    2
    3
    4
    -XXX_CFLAGS = $(CUTTER_CFLAGS)
    -XXX_LIBS = $(CUTTER_LIBS)
    +XXX_CFLAGS = $(GDKCUTTER_PIXBUF_CFLAGS)
    +XXX_LIBS = $(GDKCUTTER_PIXBUF_LIBS)

## Functions

## Types and Values

### GDKCUTTER_PIXBUF_ENABLED

    #define GDKCUTTER_PIXBUF_ENABLED 1

Defined when GdkCutter Pixbuf is enabled.

Since: 1.0.6

## See Also

Assertions with gdk-pixbuf support